# List prepaid balance transactions Lists prepaid balance transactions. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/prepaid-balance-transactions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - accountid - prepaidbalanceid - fundid - sourceid - transactiondate - prepaidbalancetransactiontype - createddate - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "account", "prepaidbalance", "fund" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - accountid - prepaidbalanceid - fundid - sourceid - transactiondate - createddate - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the prepaid balance transaction. - `data.createdById` (string) The unique identifier of the user who created the prepaid balance transaction. - `data.createdDate` (string) The date and time when the prepaid balance transaction was created. - `data.updatedById` (string) The unique identifier of the user who last updated the prepaid balance transaction. - `data.updatedDate` (string) The date and time when the prepaid balance transaction was last updated. - `data.accountId` (string) The ID of the customer account on which the prepaid balance transaction occurs. - `data.prepaidBalanceId` (string) The ID of the prepaid balance. - `data.fundId` (string) The ID of the prepaid balance fund. - `data.amount` (number) The amount of units to be adjusted to the prepaid balance (could be positive or negative). - `data.balance` (number) The prepaid balance after a transaction. - `data.sourceId` (string) The transaction source id (original Charge Id, Guided Usage Id, Order Line Item Id). - `data.transactionDate` (string) The date when the prepaid balance transaction occurs. - `data.transactionSourceType` (string) The type of the transaction source. Enum: "CHARGE", "ORDER_LINE_ITEM", "USAGE" - `data.prepaidBalanceTransactionType` (string) The type of the Prepaid Balance Transaction. Enum: "PREPAYMENT", "DRAWDOWN", "PREPAYMENT_ADJUSTMENT", "DRAWDOWN_ADJUSTMENT", "DRAWDOWN_REVERSAL", "PREPAYMENT_CREDIT_BACK", "PREPAYMENT_CREDIT_BACK_REVERSAL" - `data.usageUom` (string) - `data.drawdownRate` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `data.account` (object) - `data.account.id` (string) The unique identifier of the account. - `data.account.createdById` (string) The unique identifier of the user who created the account. - `data.account.createdDate` (string) The date and time when the account was created. - `data.account.updatedById` (string) The unique identifier of the user who last updated the account. - `data.account.updatedDate` (string) The date and time when the account was last updated. - `data.account.accountNumber` (string) The account number that identifies the account. - `data.account.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.account.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.account.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.account.balance` (number) The customer's total invoice balance minus credit balance. - `data.account.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.account.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.account.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.account.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.account.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.account.creditBalance` (number) The current credit balance on the account. - `data.account.crmId` (string) External identifier of the account in a CRM system. - `data.account.currency` (string) A currency defined in the web-based UI administrative settings. - `data.account.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.account.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.account.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.account.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.account.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.account.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.account.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.account.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.account.name` (string) The name of the account. - `data.account.notes` (string) A string of up to 65,535 characters. - `data.account.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.account.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.account.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.account.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.account.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.account.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.account.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.account.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.account.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.account.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.account.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.account.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.account.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.account.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.account.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.account.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.account.unappliedBalance` (number) Total unapplied balance in this currency. - `data.account.vATId` (string) EU Value Added Tax ID. - `data.account.mrr` (number) Monthly recurring revenue for the account. - `data.account.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.account.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.account.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.account.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.account.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.account.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.account.billTo` (object) The bill-to contact on this account. - `data.account.shipTo` (object) The ship-to contact on the account. - `data.account.soldTo` (object) The sold-to contact on the account. - `data.account.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.account.subscriptions` (array) The subscriptions associated with the account. - `data.account.payments` (array) The payments associated with the account. - `data.account.refunds` (array) The refunds associated with the account. - `data.account.creditMemos` (array) The credit memos associated with the account. - `data.account.debitMemos` (array) The debit memos associated with the account. - `data.account.invoices` (array) The invoices associated with the account. - `data.account.usages` (array) The usage records associated with the account. - `data.account.paymentMethods` (array) The payment methods associated with the account. - `data.prepaidBalance` (object) - `data.prepaidBalance.id` (string) The unique identifier of the prepaid balance. - `data.prepaidBalance.createdById` (string) The unique identifier of the user who created the payment application. - `data.prepaidBalance.createdDate` (string) The date and time when the payment application was created. - `data.prepaidBalance.updatedById` (string) The unique identifier of the user who last updated the payment application. - `data.prepaidBalance.updatedDate` (string) The date and time when the payment application was last updated. - `data.prepaidBalance.name` (string) The name of the prepaid balance. - `data.prepaidBalance.totalFund` (number) The total amount of all prepaid balance funds. - `data.prepaidBalance.balance` (number) The current prepaid balance. - `data.prepaidBalance.endDate` (string) End date of the validity period. - `data.prepaidBalance.startDate` (string) Start date of the validity period. - `data.prepaidBalance.accountId` (string) The ID of the customer account to which the prepaid balance belongs. - `data.prepaidBalance.origSubscriptionId` (string) If it belongs to a subscription, the original subscription ID. - `data.prepaidBalance.uOM` (string) The units of measure for prepayment charge. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. Values: a valid unit of measure - `data.prepaidBalance.prepaidBalanceState` (string) The state of the prepaid balance. Enum: "ACTIVE", "EXPIRED" - `data.prepaidBalance.prepaidType` (integer,null) The type of the prepaid balance. - `data.prepaidBalance.account` (object) The account associated with the prepaid balance. - `data.prepaidBalance.origSubscription` (object) The subscription associated with the prepaid balance. - `data.fund` (object) - `data.fund.id` (string) The unique identifier of the prepaid balance fund. - `data.fund.createdById` (string) The unique identifier of the user who created the prepaid balance fund. - `data.fund.createdDate` (string) The date and time when the prepaid balance fund was created. - `data.fund.updatedById` (string) The unique identifier of the user who last updated the prepaid balance fund. - `data.fund.updatedDate` (string) The date and time when the prepaid balance fund was last updated. - `data.fund.accountId` (string) The ID of the customer account to which the prepaid balance fund belongs. - `data.fund.balance` (number) The remaining balance (remaining units) on the fund. - `data.fund.chargeSegmentNumber` (integer) The number of the charge segment. One prepaid balance fund can only belong to one charge segment. - `data.fund.endDate` (string) End date of the fund effective period. - `data.fund.fundedBalance` (number) The total units of the fund. - `data.fund.fundSourceType` (string) The type of the Prepaid Balance Fund. Enum: "CHARGE", "ORDER_LINE_ITEM", "CREDIT_MEMO_ITEM", "DEBIT_MEMO_ITEM" - `data.fund.fundingPrice` (number) The price amount of a fund. A rounded value that follows the associated invoice owner's currency rounding rule. Calculation: (Number of billing periods in one fund validity period) * (price in one billing period) - `data.fund.totalBilled` (number) - `data.fund.totalBalance` (number) - `data.fund.originalTotalBalance` (number) - `data.fund.originalFundingPrice` (number) - `data.fund.originalFundEndDate` (string) - `data.fund.rolloverValidityPeriodStartDate` (string) - `data.fund.rolloverValidityPeriodEndDate` (string) - `data.fund.prepaidBalanceId` (string) The ID of the prepaid balance associated to which this prepaid balance fund belongs. - `data.fund.priority` (integer) The priority of the Fund. Possible values include: 10(high), 50(medium),100(low) Enum: 10, 50, 100 - `data.fund.sourceId` (string) The source Id of the fund. It is the original charge ID. - `data.fund.startDate` (string) Start date of the fund effective period. - `data.fund.vpSummaryId` (string) - `data.fund.rolloverCount` (integer) - `data.fund.originFundId` (string) - `data.fund.rolloverApplyOption` (string) - `data.fund.done` (integer) - `data.fund.account` (object) The account associated with the prepaid balance fund. - `data.fund.prepaidBalance` (object) The prepaid balance that contains the prepaid balance fund. - `data.fund.source` (object) The rate plan charge associated with the prepaid balance fund. - `data.fund.vpSummary` (object) The validity period summary associated with the prepaid balance fund. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.